ldd(1)

NAME
ldd - print shared library dependencies

SYNOPSIS
ldd [-drv] [OPTIONS...] [FILE ...]

DESCRIPTION
This is the ldd command, which lists what shared libraries are used by given dynamically-linked executables. It works by invoking the run-time dynamic linker as a command and setting the environment variable LD_TRACE_LOADED_OBJECTS to a non-empty value. If a shared library name does not contain a '/', ldd attempts to locate the library in the standard locations. To run ldd on a shared library in the current directory, a "./" must be prepended to it's name.

OPTIONS

--help
    Print a help message and exit.

--version
    Print the version number and exit.

-d, --data-relocs
    Perform relocations and report any missing functions.

-r, --function-relocs
    Perform relocations for both data objects and functions, and report any missing objects.

-v, --verbose
    Print all information.

AUTHOR
Roland McGrath and Ulrich Drepper.

SEE ALSO
ldconfig(8).